{% extends 'template/layout.twig' %}
{% block style %}
    <link rel="stylesheet" type="text/css" href="css/tuto.css">
{% endblock %}
{% block body %}
    <div id="tuto">
        <h2>WAMP</h2>
        <h3 id="summary">Table des matières</h3>
        <a class="a_summary" href="#required">Prérequis</a><br>
        <a class="a_summary" href="#install">Installer WAMP</a><br>
        <a class="a_summary" href="#config">Configurer WAMP</a><br>
        <a class="a_summary" href="#firewall">Configuration Pare-feu</a><br>
        <a class="a_summary" href="#nat">Configuration NAT</a>
        <h3 class="title" id="required">Prérequis</h3>
        <p>Pour pouvoir installer WAMP, vous devez d'abord installer les <a href="https://wampserver.aviatechno.net/files/vcpackages/all_vc_redist_x86_x64.zip">Visual C++ Redistribuable</a>.</p>
        <h3 class="title" id="install">Installer WAMP</h3>
        <p>Téléchargez <a href="https://downloads.sourceforge.net/project/wampserver/WampServer%203/WampServer%203.0.0/wampserver3.2.3_x64.exe?r=https%3A%2F%2Fsourceforge.net%2Fprojects%2Fwampserver%2Ffiles%2Flatest%2Fdownload&ts=1610749399" target="_blank">l'installateur de WAMP</a>, puis éxécutez-le.<br>
            Cliquez sur "OK".</p>
        <a class="img" href="../img/windows/wamp/1.png" target="_blank"><img src="../img/windows/wamp/1.png"></a>
        <p>Acceptez et cliquez sur "Suivant" jusqu'à la page "Prêt à installer".</p>
        <a class="img" href="../img/windows/wamp/2.png" target="_blank"><img src="../img/windows/wamp/2.png"></a>
        <a class="img" href="../img/windows/wamp/3.png" target="_blank"><img src="../img/windows/wamp/3.png"></a>
        <a class="img" href="../img/windows/wamp/4.png" target="_blank"><img src="../img/windows/wamp/4.png"></a>
        <a class="img" href="../img/windows/wamp/5.png" target="_blank"><img src="../img/windows/wamp/5.png"></a>
        <a class="img" href="../img/windows/wamp/6.png" target="_blank"><img src="../img/windows/wamp/6.png"></a>
        <p>Cliquez sur "Installer".</p>
        <a class="img" href="../img/windows/wamp/7.png" target="_blank"><img src="../img/windows/wamp/7.png"></a>
        <p>Lors de l'apparition de cette fenêtre pendant l'installation, cliquez sur "Suivant".</p>
        <a class="img" href="../img/windows/wamp/8.png" target="_blank"><img src="../img/windows/wamp/8.png"></a>
        <p>Une fois l'installation terminée, cliquez sur "Terminer".</p>
        <a class="img" href="../img/windows/wamp/9.png" target="_blank"><img src="../img/windows/wamp/9.png"></a>
        <p>Lancez WAMP. Vous devriez trouver un raccourci sur le bureau.</p>
        <a class="img" href="../img/windows/wamp/10.png" target="_blank"><img src="../img/windows/wamp/10.png"></a>
        <p>Patientez jusqu'à que le logo WAMP dans les icônes cachées de la barre des tâches soit vert.</p>
        <a class="img" href="../img/windows/wamp/11.png" target="_blank"><img src="../img/windows/wamp/11.png"></a>
        <a class="img" href="../img/windows/wamp/12.png" target="_blank"><img src="../img/windows/wamp/12.png"></a>
        <p>Votre serveur web devrait être opérationnel. Ouvrez votre navigateur et tapez dans la barre URL : 127.0.0.1</p>
        <a class="img" href="../img/windows/wamp/13.png" target="_blank"><img src="../img/windows/wamp/13.png"></a>
        <h3 class="title" id="config">Configurer WAMP</h3>
        <p>Cliquez gauche sur l'icône WAMP dans la barre des tâches.</p>
        <a class="img" href="../img/windows/wamp/14.png" target="_blank"><img src="../img/windows/wamp/14.png"></a>
        <p>Survolez "Apache" et cliquez sur "httpd-vhosts.conf".</p>
        <a class="img" href="../img/windows/wamp/15.png" target="_blank"><img src="../img/windows/wamp/15.png"></a>
        <a class="img" href="../img/windows/wamp/16.png" target="_blank"><img src="../img/windows/wamp/16.png"></a>
        <p>Nous allons devoir modifier trois paramètres : "DocumentRoot", "Directory", et "Require".<br><br>
            "DocumentRoot" et "Directory" définissent le dossier de votre site web, vous pouvez modifier ce chemin à votre guise. ${INSTALL_DIR} correspond au dossier d'installation de WAMP.<br><br>
            "Require" définit l'accessibilité du site. "local" signifie que seul la machine exécutant WAMP peut accéder au serveur, nous allons le remplacer par "all granted" qui autorise à tout le monde l'accès à votre site.</p>
        <a class="img" href="../img/windows/wamp/17.png" target="_blank"><img src="../img/windows/wamp/17.png"></a>
        <p>Cliquez gauche sur le logo WAMP dans la barre des tâches, et cliquez sur "Redémarrer les services".</p>
        <a class="img" href="../img/windows/wamp/18.png" target="_blank"><img src="../img/windows/wamp/18.png"></a>
        <h3 class="title" id="firewall">Configuration Pare-feu</h3>
        <p>Pour finir, il faut créer une règle dans le Pare-feu qui va autoriser la connexions au serveur web.<br>
            Cliquez sur le logo Windows, tapez "Pare-feu" puis cliquez dessus.</p>
        <a class="img" href="../img/windows/wamp/19.png" target="_blank"><img src="../img/windows/wamp/19.png"></a>
        <p>Cliquez sur "Paramètres avancés".</p>
        <a class="img" href="../img/windows/wamp/20.png" target="_blank"><img src="../img/windows/wamp/20.png"></a>
        <p>Dans la fenêtre à gauche cliquez sur "Règle de trafic entrant" puis sur "Nouvelle règle..." dans la fenêtre de droite.</p>
        <a class="img" href="../img/windows/wamp/21.png" target="_blank"><img src="../img/windows/wamp/21.png"></a>
        <p>Cochez "Port", et cliquez sur "Suivant".</p>
        <a class="img" href="../img/windows/wamp/22.png" target="_blank"><img src="../img/windows/wamp/22.png"></a>
        <p>Saisissez les ports 80 (HTTP) et 443 (HTTPS) comme ceci. Cliquez sur suivant jusqu'à la page "Nom".</p>
        <a class="img" href="../img/windows/wamp/23.png" target="_blank"><img src="../img/windows/wamp/23.png"></a>
        <a class="img" href="../img/windows/wamp/24.png" target="_blank"><img src="../img/windows/wamp/24.png"></a>
        <a class="img" href="../img/windows/wamp/25.png" target="_blank"><img src="../img/windows/wamp/25.png"></a>
        <p>Donnez un nom à votre règle, et cliquez sur "Terminer".</p>
        <a class="img" href="../img/windows/wamp/26.png" target="_blank"><img src="../img/windows/wamp/26.png"></a>
        <div class="no_corp">
            <h4>&Eacute;TAPES &Agrave; NE SURTOUT PAS FAIRE EN ENTREPRISE<br>
                WAMP est destiné au développement et non à la production. Il est fortement déconseillé de l'utiliser en production car celui-ci contient des failles de sécurité.</h4>
            <h3 class="title" id="nat">Configuration NAT</h3>
            <p>Si vous voulez que votre serveur web soit accessible depuis Internet, vous devez configurer une redirection de ports sur votre routeur.<br>
                Dans mon cas, j'utilise un routeur PfSense. Si vous utilisez un routeur différent, les étapes devraient être relativement similaires.<br>
                Cliquez sur l'onglet "Firewall" puis sur "NAT".</p>
            <a class="img" href="../img/windows/wamp/27.png" target="_blank"><img src="../img/windows/wamp/27.png"></a>
            <p>Vérifiez que vous vous sitez dans le menu "Port Forward", puis cliquez sur "Add" pour ajouter une nouvelle règle.</p>
            <a class="img" href="../img/windows/wamp/28.png" target="_blank"><img src="../img/windows/wamp/28.png"></a>
            <p>"Interface" doit contenir l'interface WAN de votre routeur, "Protocol" doit contenir TCP, et "Destination" doit contenir l'adresse IP de votre interface WAN.<br>
                Dans "Destination port range", séléctionnez "HTTP". Sinon, saisissez le port 80.</p>
            <a class="img" href="../img/windows/wamp/29.png" target="_blank"><img src="../img/windows/wamp/29.png"></a>
            <p>Dans "Redirect target IP", saisissez l'adresse IP de votre serveur web.</p>
            <a class="img" href="../img/windows/wamp/30.png" target="_blank"><img src="../img/windows/wamp/30.png"></a>
            <p>Puis dans "Redirect target port", sélectionnez HTTP ou saisissez 80.</p>
            <a class="img" href="../img/windows/wamp/31.png" target="_blank"><img src="../img/windows/wamp/31.png"></a>
            <p>Enregistrez les modifications, puis vérifiez si la règle NAT est bel et bien présente.</p>
            <a class="img" href="../img/windows/wamp/32.png" target="_blank"><img src="../img/windows/wamp/32.png"></a>
            <p>Enfin, cliquez sur l'onglet "Firewall" puis sur "Rules" pour vérifier si la règle de pare-feu liée à la règle NAT s'est bien créée automatiquement.</p>
            <a class="img" href="../img/windows/wamp/33.png" target="_blank"><img src="../img/windows/wamp/33.png"></a>
            <a class="img" href="../img/windows/wamp/34.png" target="_blank"><img src="../img/windows/wamp/34.png"></a>
        </div>

    </div>
{% endblock %}